javax.management.j2ee.statistics

## Interface JCAConnectionPoolStats

- All Superinterfaces:
    JCAConnectionStats, Stats

      public interface JCAConnectionPoolStats
      extends JCAConnectionStats

  Specifies the statistics provided by a JCA Connection Pool

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CountStatistic` | `getCloseCount()` The number of connections closed
    `CountStatistic` | `getCreateCount()` The number of connections created
    `BoundedRangeStatistic` | `getFreePoolSize()` The number of free connections in the pool
    `BoundedRangeStatistic` | `getPoolSize()` The size of the connection pool
    `RangeStatistic` | `getWaitingThreadCount()` The number of threads waiting for a connection

    - ### Methods inherited from interface javax.management.j2ee.statistics.JCAConnectionStats

      `getConnectionFactory, getManagedConnectionFactory, getUseTime, getWaitTime`

    - ### Methods inherited from interface javax.management.j2ee.statistics.Stats

      `getStatistic, getStatisticNames, getStatistics`

- - ### Method Detail

    - #### getCloseCount

          CountStatistic getCloseCount()

      The number of connections closed
      Returns:
        CountStatistic

    - #### getCreateCount

          CountStatistic getCreateCount()

      The number of connections created
      Returns:
        CountStatistic

    - #### getFreePoolSize

          BoundedRangeStatistic getFreePoolSize()

      The number of free connections in the pool
      Returns:
        BoundedRangeStatistic

    - #### getPoolSize

          BoundedRangeStatistic getPoolSize()

      The size of the connection pool
      Returns:
        BoundedRangeStatistic

    - #### getWaitingThreadCount

          RangeStatistic getWaitingThreadCount()

      The number of threads waiting for a connection
      Returns:
        BoundedRangeStatistic

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.